@charset "utf-8";

body.is-checked {
  overflow: hidden;
}
.header__overlay {
  background: rgba(61, 61, 61, 0.22);
  cursor: pointer;
  height: 100vh;
  left: 0;
  opacity: 0;
  position: fixed;
  top: 0;
  transition: opacity 0.6s, visibility 0.6s;
  visibility: hidden;
  width: 100%;
  z-index: 50;
}
.header__overlay.is-checked {
  opacity: 0.8;
  visibility: visible;
}

.header {
  position: fixed;
  top: 15px;
  left: 50%;
  transform: translateX(-50%);
  width: calc(100% - 20px);
  height: auto;
  z-index: 90;
}
@media screen and (min-width: 768px) {
  .header {
  width: calc(100% - 60px);
  }
}

.header__inner {
  height: 71px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 10px 10px 10px 15px;
  border-radius: 10px;
  background: #fff;
  box-shadow: 0px 3px 10px rgba(0, 0, 0, 0.08);
}

.header__logo {
  aspect-ratio: 249 / 40;
  width: 200px;
  height: auto;
  transition: opacity 0.3s;
}
@media screen and (min-width: 768px) {
  .header__logo {
     width: 249px;
  }
}
.header__logo:hover {
  opacity: 0.7;
}

.header__wrap {
  display: none;
}
@media screen and (min-width: 900px) {
  .header__wrap {
    margin-right: 70px;
    display: flex;
    align-items: center;
  }
}
@media screen and (min-width: 1300px) {
  .header__wrap {
    margin-right: 0;
  }
}

.header__nav-left {
  display: flex;
  flex-direction: column;
  align-items: end;
  gap: 10px;
  padding-right: 20px;
  background-image: radial-gradient(circle, #98dede 0.5px, transparent 0.5px);
  background-position: right top;
  background-repeat: repeat-y;
  background-size: 1px 3px;
}

.header__tel {
  margin: 0 10px 0 19px;
}

.header__tel-link {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 5px;
  border-bottom: 2px solid #F0C9A2;

  &::before {
    content: "";
    background: url('../images/icon-tel.svg') center / contain no-repeat;
    width: 20px;
    height: 20px;
  }
}

.header__text {
  width: fit-content;
}

.header__nav {
  display: none;
}
@media screen and (min-width: 1300px) {
  .header__nav {
    display: flex;
    justify-content: end;
    align-items: center;
    gap: 26px;
  }
}

.header__link {
  position: relative;
}
.header__link div p {
  font-size: 14px;
  font-weight: 400;
  line-height: 1;
  letter-spacing: 0;
  transition: color 0.3s;
}
.header__link div p:hover {
  color: #238B8B;
}

.header__button {
  display: none;
}
@media screen and (min-width: 1300px) {
  .header__button {
    display: block;
    text-align: center;
    width: 150px;
    background: #F0C9A2;
    border: 1px solid #F0C9A2;
    border-radius: 8px;
    padding: 16px;
    flex-shrink: 0;
  }
  .header__button p {
    font-size: 14px;
    font-weight: 500;
    letter-spacing: 0.05em;
    line-height: 1;
    color: #283838;
    text-decoration: none;
  }
  .header__button:hover {
    opacity: 0.8;
  }
}

.header__open {
  display: block;
  width: 60px;
  height: 60px;
  position: fixed;
  top: 21px;
  right: 22px;
  z-index: 999999997;
  cursor: pointer;
  flex-shrink: 0;
  background: #F0C9A2;
  border-radius: 8px;
  transition: opacity 0.3s;
}
@media screen and (min-width: 768px) {
  .header__open {
  right: 43px;
  }
}
@media screen and (min-width: 1300px) {
  .header__open {
    display: none;
  }
}

.header__open:hover {
  opacity: 0.8;
}
.header__open.is-checked {
  z-index: 1000000000;
}

.header__bar {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  width: 15px;
  height: 1.5px;
  border-radius: 2px;
  background: #283838;
  transition: transform 0.3s linear, top 0.3s linear;
}
.header__bar:nth-of-type(1){
  top: 14.5px;
}
.header__bar:nth-of-type(2){
  top: 23px;
}
.header__bar:nth-of-type(3){
  top: 32px;
}
.header__open.is-checked > .header__bar:nth-of-type(1) {
  top: 28px;
  transform: rotate(45deg) translateX(-50%);
  left: 45%;
}
.header__open.is-checked > .header__bar:nth-of-type(2) {
  display: none;
}
.header__open.is-checked > .header__bar:nth-of-type(3) {
  top: 17px;
  transform: rotate(-45deg) translateX(-50%);
  left: 45%;
}

.header__open-text {
  position: absolute;
  bottom: 10px;
  left: 52%;
  transform: translateX(-50%);
  font-size: 10px;
  line-height: 1;
  color: #283838;
  width: max-content;
}

.header__content {
  width: 100%;
  max-width: 460px;
  height: 100vh;
  height: 100dvh;
  position: fixed;
  top: 0;
  right: 0;
  padding: 100px 50px;
  background: #fff;
  transform: translateX(100%);
  transition: transform 0.3s linear;
  overflow: auto;
  z-index: 999999999;
}
.header__content.is-checked {
  transform: translateX(0);
}

.header__content-menu {
  display: flex;
  flex-direction: column;
}

.header__content-link {
  font-size: 14px;
  padding-block: 20px;
  border-bottom: 1px dotted #898989;
  text-align: center;
}
.header__content-link:hover {
  background: gainsboro;
}
